Show bookmarks toolbar when adding a bookmark to the bookmarks toolbar folder
If someone imports their bookmarks from another browser on first run and bookmarks are added to the toolbar folder we automatically show the toolbar folder for them. This is nice. 

However, those that don't have the bookmarks toolbar shown and then later file a bookmark in the bookmarks toolbar folder are surprised to find that we don't automatically show the toolbar. In tests, people have found this and the process of showing the toolbar confusing. We should automatically show the bookmarks toolbar if someone adds a bookmark to the toolbar folder and they don't already have the toolbar shown.